Locale::Messages::Debug(3pm)

NAME
Locale::Messages::Debug - Debug libint-perl Features

SYNOPSIS
 use Locale::Messages::Debug;

DESCRIPTION
Message translation with libintl-perl relies on a correct setup and to a certain extent on features of the operating system. There are many things that can go wrong. This module aims to help you, when problems occur. It is not meant to be used in production code!

The module was introduced with libintl-perl version 1.30.

FUNCTIONS
The module exports by default nothing. Every function has to be imported explicitely.

debug_gettext MSGID
    Tries to retrieve a translation for MSGID.

    The function returns a list of hints in string form or the same list as one new-line separated string in scalar context;

    Example:

        my @hints = debug_gettext "Hello, world!";
        foreach my $hint (@hints) {
            print "hint\n";
        }

AUTHOR
Copyright (C) 2002-2026 Guido Flohr <http://www.guido-flohr.net/> (<mailto:guido.flohr@cantanea.com>), all rights reserved. See the source code for details!code for details!

SEE ALSO
Locale::Messages(3pm), Locale::TextDomain(3pm), Locale::gettext_pp(3pm), Encode(3pm), perllocale(3pm), POSIX(3pm), perl(1), gettext(1), gettext(3)

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 187:
    You forgot a '=back' before '=head1'